This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 43979 - pam_userdb.so: undefined symbol: conversation
pam_userdb.so: undefined symbol: conversation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
http://cvs.sourceforge.net/cgi-bin/vi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-08 13:24 EDT by Aleksey Nogin
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-08 18:25:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2001-06-08 13:24:38 EDT
After upgrading to RH7.1 I found myself unable to use pam_userdb module:

Jun  8 10:24:52 mojave snauth[1474]: PAM unable to
dlopen(/lib/security/pam_userdb.so)
Jun  8 10:24:52 mojave snauth[1474]: PAM [dlerror:
/lib/security/pam_userdb.so: undefined symbol: conversation]
Jun  8 10:24:52 mojave snauth[1474]: PAM adding faulty module:
/lib/security/pam_userdb.so

Recompiling the program (snauth) under RH7 didn't change anything.
Comment 1 Aleksey Nogin 2001-06-08 18:25:19 EDT
This is a known PAM bug, see
http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/pam/Linux-PAM/modules/pam_userdb/Makefile.diff?r1=1.3&r2=1.4
for a fix.
Comment 2 Aleksey Nogin 2001-08-16 17:21:18 EDT
The newer pam-0.75 package in rawhide does not have this problem.

Note You need to log in before you can comment on or make changes to this bug.